org.apache.maven.scm.provider.tfs

## Class TfsScmProvider

- java.lang.Object
- - org.apache.maven.scm.provider.AbstractScmProvider
  - - org.apache.maven.scm.provider.tfs.TfsScmProvider

All Implemented Interfaces:
  ScmProvider

    public class TfsScmProvider
    extends AbstractScmProvider

### Field Summary

Fields
`static String` `TFS_URL_FORMAT`

### Fields inherited from interface org.apache.maven.scm.provider.ScmProvider

`ROLE`

### Constructor Summary

Constructors
Constructor and Description
`TfsScmProvider()`

### Method Summary

All Methods Instance Methods Concrete Methods
`AddScmResult` `add(ScmProviderRepository repository, ScmFileSet fileSet, CommandParameters parameters)`
`protected BlameScmResult` `blame(ScmProviderRepository repository, ScmFileSet fileSet, CommandParameters parameters)`
`protected BranchScmResult` `branch(ScmProviderRepository repository, ScmFileSet fileSet, CommandParameters parameters)`
`protected ChangeLogScmResult` `changelog(ScmProviderRepository repository, ScmFileSet fileSet, CommandParameters parameters)`
`protected CheckInScmResult` `checkin(ScmProviderRepository repository, ScmFileSet fileSet, CommandParameters parameters)`
`protected CheckOutScmResult` `checkout(ScmProviderRepository repository, ScmFileSet fileSet, CommandParameters parameters)`
`protected DiffScmResult` `diff(ScmProviderRepository repository, ScmFileSet fileSet, CommandParameters parameters)`
`protected EditScmResult` `edit(ScmProviderRepository repository, ScmFileSet fileSet, CommandParameters parameters)`
`protected ExportScmResult` `export(ScmProviderRepository repository, ScmFileSet fileSet, CommandParameters parameters)`
`String` `getScmType()`
`protected ListScmResult` `list(ScmProviderRepository repository, ScmFileSet fileSet, CommandParameters parameters)` List each element (files and directories) of fileSet as they exist in the repository.
`ScmProviderRepository` `makeProviderScmRepository(String scmUrl, char delimiter)`
`boolean` `requiresEditMode()`
`protected StatusScmResult` `status(ScmProviderRepository repository, ScmFileSet fileSet, CommandParameters parameters)`
`protected TagScmResult` `tag(ScmProviderRepository repository, ScmFileSet fileSet, CommandParameters parameters)`
`protected UnEditScmResult` `unedit(ScmProviderRepository repository, ScmFileSet fileSet, CommandParameters parameters)`
`protected UpdateScmResult` `update(ScmProviderRepository repository, ScmFileSet fileSet, CommandParameters parameters)`

### Methods inherited from class org.apache.maven.scm.provider.AbstractScmProvider

`add, add, add, addListener, blame, blame, branch, branch, branch, changeLog, changeLog, changeLog, changeLog, changeLog, changeLog, changeLog, changeLog, changeLog, checkIn, checkIn, checkIn, checkOut, checkOut, checkOut, checkOut, checkOut, checkOut, diff, diff, edit, export, export, export, export, export, getLogger, getScmSpecificFilename, info, list, list, login, makeProviderScmRepository, mkdir, mkdir, remoteInfo, remove, remove, sanitizeTagName, status, tag, tag, tag, unedit, update, update, update, update, update, update, update, update, update, update, update, update, validateScmUrl, validateTagName`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Field Detail

#### TFS_URL_FORMAT

    public static final String TFS_URL_FORMAT

See Also:
  Constant Field Values

### Constructor Detail

#### TfsScmProvider

    public TfsScmProvider()

### Method Detail

#### getScmType

    public String getScmType()

#### requiresEditMode

    public boolean requiresEditMode()

Specified by:
  `requiresEditMode` in interface `ScmProvider`
Overrides:
  `requiresEditMode` in class `AbstractScmProvider`

#### makeProviderScmRepository

    public ScmProviderRepository makeProviderScmRepository(String scmUrl,
                                                           char delimiter)
                                                    throws ScmRepositoryException

Throws:
  `ScmRepositoryException`

#### changelog

    protected ChangeLogScmResult changelog(ScmProviderRepository repository,
                                           ScmFileSet fileSet,
                                           CommandParameters parameters)
                                    throws ScmException

Overrides:
  `changelog` in class `AbstractScmProvider`
Throws:
  `ScmException`

#### checkout

    protected CheckOutScmResult checkout(ScmProviderRepository repository,
                                         ScmFileSet fileSet,
                                         CommandParameters parameters)
                                  throws ScmException

Overrides:
  `checkout` in class `AbstractScmProvider`
Throws:
  `ScmException`

#### edit

    protected EditScmResult edit(ScmProviderRepository repository,
                                 ScmFileSet fileSet,
                                 CommandParameters parameters)
                          throws ScmException

Overrides:
  `edit` in class `AbstractScmProvider`
Throws:
  `ScmException`

#### unedit

    protected UnEditScmResult unedit(ScmProviderRepository repository,
                                     ScmFileSet fileSet,
                                     CommandParameters parameters)
                              throws ScmException

Overrides:
  `unedit` in class `AbstractScmProvider`
Throws:
  `ScmException`

#### status

    protected StatusScmResult status(ScmProviderRepository repository,
                                     ScmFileSet fileSet,
                                     CommandParameters parameters)
                              throws ScmException

Overrides:
  `status` in class `AbstractScmProvider`
Throws:
  `ScmException`

#### update

    protected UpdateScmResult update(ScmProviderRepository repository,
                                     ScmFileSet fileSet,
                                     CommandParameters parameters)
                              throws ScmException

Overrides:
  `update` in class `AbstractScmProvider`
Throws:
  `ScmException`

#### checkin

    protected CheckInScmResult checkin(ScmProviderRepository repository,
                                       ScmFileSet fileSet,
                                       CommandParameters parameters)
                                throws ScmException

Overrides:
  `checkin` in class `AbstractScmProvider`
Throws:
  `ScmException`

#### add

    public AddScmResult add(ScmProviderRepository repository,
                            ScmFileSet fileSet,
                            CommandParameters parameters)
                     throws ScmException

Overrides:
  `add` in class `AbstractScmProvider`
Throws:
  `ScmException`

#### tag

    protected TagScmResult tag(ScmProviderRepository repository,
                               ScmFileSet fileSet,
                               CommandParameters parameters)
                        throws ScmException

Overrides:
  `tag` in class `AbstractScmProvider`
Throws:
  `ScmException`

#### branch

    protected BranchScmResult branch(ScmProviderRepository repository,
                                     ScmFileSet fileSet,
                                     CommandParameters parameters)
                              throws ScmException

Overrides:
  `branch` in class `AbstractScmProvider`
Throws:
  `ScmException`

#### list

    protected ListScmResult list(ScmProviderRepository repository,
                                 ScmFileSet fileSet,
                                 CommandParameters parameters)
                          throws ScmException

Description copied from class: `AbstractScmProvider`
List each element (files and directories) of fileSet as they exist in the repository.

Overrides:
  `list` in class `AbstractScmProvider`
Parameters:
  `repository` - the source control system
  `fileSet` - the files to list
Returns:
  The list of files in the repository
Throws:
  `NoSuchCommandScmException` - unless overriden by subclass
  `ScmException` - if any

#### blame

    protected BlameScmResult blame(ScmProviderRepository repository,
                                   ScmFileSet fileSet,
                                   CommandParameters parameters)
                            throws ScmException

Overrides:
  `blame` in class `AbstractScmProvider`
Throws:
  `ScmException`

#### diff

    protected DiffScmResult diff(ScmProviderRepository repository,
                                 ScmFileSet fileSet,
                                 CommandParameters parameters)
                          throws ScmException

Overrides:
  `diff` in class `AbstractScmProvider`
Throws:
  `ScmException`

#### export

    protected ExportScmResult export(ScmProviderRepository repository,
                                     ScmFileSet fileSet,
                                     CommandParameters parameters)
                              throws ScmException

Overrides:
  `export` in class `AbstractScmProvider`
Throws:
  `ScmException`